Subject: [alto] charter-ietf-alto-04-01: (with COMMENT)

From: Qin Wu <[email-masked]>
Date: Thu, 26 Aug 2021 13:16:49 +0000

Thank Ben for additional comment, see clarification below.
>    o Support for modern transport protocols. ALTO only uses the
>    capabilities of HTTP version 1. Since then, the IETF has developed
>    HTTP/2 and HTTP/3.  The working group will develop any necessary
>    protocol extensions and guidance to support the use of ALTO over HTTP/2
>    and HTTP/3.

>The IESG is reviewing on this same telechat a "bis" version of BCP56,
>guidelines for applications using HTTP.  Let's discuss whether this
>language is consistent with the guidance contained therein, which
>includes:

>   [...] Requiring a particular
>   version of HTTP makes it difficult to use in these situations, and
>   harms interoperability.  Therefore, it is NOT RECOMMENDED that
>   applications using HTTP specify a minimum version of HTTP to be used.

>   However, if an application's deployment would benefit from the use of
>   a particular version of HTTP (for example, HTTP/2's multiplexing),
>   this ought be noted.
[Qin]:Thanks for bringing this up, regarding guidelines defined in draft-ietf-httpbis-bcp56bis-14<https://datatracker.ietf.org/doc/html/draft-ietf-httpbis-bcp56bis-14>
I think HTTP/2's multiplexing is the exact feature we are looking for to enhance
Incremental update SSE defined in RFC8895. Maybe there is some other features which could be
Leverages, I can not speak for ALTO proponents.

>My understanding is that typically it suffices to "just use HTTP", and
>that there should be no need for ALTO extensions to support running the
>protocol over HTTP/2 or HTTP/3.  Any HTTP-version-specific work would
>then be about making more effective use of features that are available
>in those later versions, without requiring them to be available.
[Qin]Maybe protocol extension is not needed, but I assume some kind of mapping between ALTO and HTTP/2, HTTP/3 is needed, just like DNS over QUIC,RTP over QUIC.
see section 4 of RFC8650 for example, which provides different QoS treatment for
HTTP/1 and HTTP/2.